Bug 446790 - RNG in some Debians are predictable (affects CSRs)
RNG in some Debians are predictable (affects CSRs)
Status: CLOSED WONTFIX
Product: Dogtag Certificate System
Classification: Community
Component: CA (Show other bugs)
unspecified
All Linux
low Severity high
: ---
: ---
Assigned To: Christina Fu
Chandrasekar Kannan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 21:15 EDT by Bob Lord
Modified: 2015-01-04 18:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-15 14:42:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Lord 2008-05-15 21:15:53 EDT
Description of problem:
the random number generator in Debian’s openssl package is predictable. This is
caused by an incorrect Debian-specific change to the openssl package
(CVE-2008-0166). As a result, cryptographic key material may be guessable.

More links:
http://blog.cacert.org/2008/05/302.html
http://blog.cacert.org/2008/05/300.html
http://wiki.debian.org/SSLkeys

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

CAcert is currently implementing a global Hash-Server: 
http://wiki.cacert.org/wiki/HashServer
http://hashserver.cacert.org/

Note You need to log in before you can comment on or make changes to this bug.